
CoCoALib - Feature #42

Feature # 39 (Closed): Squarefree factorization

Squarefree factorization - generic case

30 Nov 2011 17:16 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 0.25 hour

Description

Squarefree factorization can be effected in any ring where (irreducible) factorization is possible.

The default behaviour for squarefree factorization could simply be to compute and return the (irreducible) factorization, e.g. in the ring

of integers.

Related issues:

Related to CoCoALib - Feature #43: Squarefree factorization - for polynomials Closed 30 Nov 2011

History

#1 - 23 Oct 2013 20:46 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

Not sure how good an idea it is to have the generic fn.

Anyway there is already SqfreeFactor_generic.

Closing the issue.

#2 - 29 Oct 2013 12:32 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
